<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: cmike
| Web: http://freeware.wnet.net.pl
| Email: mike@wnet.net.pl
+--------------------------------------------------------+
| v7 by Diemux
| www.phpfusion-mods.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."button_panel/infusion_db.php";

if (file_exists(INFUSIONS."button_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."button_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."button_panel/locale/English.php";
}

// Infusion Information
$inf_title = "Button Panel";
$inf_description = "Button panel with click-counting and login system for clients.";
$inf_version = "1.11";
$inf_developer = "cmike, v7 by Diemux";
$inf_email = "mike@wnet.net.pl";
$inf_weburl = "http://freeware.wnet.net.pl";

// Infusion Paths
$inf_folder = "button_panel";

$inf_adminpanel[1] = array(
	"title" => "Button Panel",
	"image" => "image.gif",
	"panel" => "button_admin.php",
	"rights" => "BUP"
);

// Database Table information : Create database tables.
$inf_newtable[1] = DB_BUTTONS." (
  `button_id` int(11) NOT NULL auto_increment,
  `button_name` varchar(250) NOT NULL default '',
  `button_pic` varchar(200) NOT NULL default '',
  `button_link` varchar(200) NOT NULL default '',
  `button_count` int(11) NOT NULL default '0',
  `button_user` varchar(100) NOT NULL default '',
  `button_pass` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`button_id`)
) TYPE=MyISAM";
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable_[1] = DB_BUTTONS;
?>